> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dqlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Source Type

> Get all source types from the database.

<script type="application/ld+json">
  {`{
            "@context": "https://schema.org",
            "@type": "TechArticle",
            "headline": "Source Type",
            "description": "Get all source types from the database.",
            "url": "https://docs.dqlabs.ai/api-reference/core/source-type",
            "publisher": {
              "@type": "Organization",
              "name": "DQLabs Inc",
              "logo": "https://media.brand.dev/332adc35-5bc4-4d2b-bf78-256aa4a5e414.svg"
            }
            }`}
</script>

`GET /api/v1/core/source_type`

Get all source types from the database.

**Response**

<ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

<ResponseField name="message" type="string">Human-readable result message</ResponseField>

<ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

<ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

<ResponseField name="data" type="object">
  <ResponseField name="id" type="string">
    Example: `"1ca764bb-92f1-43ed-95d9-e2d7a6934332"`.
  </ResponseField>

  <ResponseField name="name" type="string">
    Example: `"File"`.
  </ResponseField>

  <ResponseField name="short_description" type="string">
    Example: `"Connect and Upload Flat Files from your computer such as CSVs"`.
  </ResponseField>

  <ResponseField name="long_description" type="string">
    Example: `"To connect upload your flat files such as .CSV's from your computer or cloud storage."`.
  </ResponseField>

  <ResponseField name="type" type="string">
    Example: `"FILE"`.
  </ResponseField>

  <ResponseField name="tag" type="string">
    Example: `"Datawarehouse"`.
  </ResponseField>

  <ResponseField name="is_active" type="boolean">
    Example: `true`.
  </ResponseField>

  <ResponseField name="is_delete" type="boolean">
    Example: `false`.
  </ResponseField>
</ResponseField>

**Example**

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/core/source_type" \
    -H "Authorization: Bearer <YOUR_API_TOKEN>"
  ```
</CodeGroup>

```json Response theme={null}
{
  "success": true,
  "message": "Get all source types from the database.",
  "timestamp": "2026-09-21T09:43:50.316067+00:00",
  "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
  "data": {}
}
```
